Bug 275988 - Again: Export m3u-playlist ignores "relative paths" options
Summary: Again: Export m3u-playlist ignores "relative paths" options
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Playlists/Saved Playlists (show other bugs)
Version: 2.4-GIT
Platform: openSUSE RPMs Linux
: NOR normal (vote)
Target Milestone: 2.4.2
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-18 18:02 UTC by wuselwu
Modified: 2011-06-20 13:22 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.4.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description wuselwu 2011-06-18 18:02:35 UTC
Version:           2.4.1 (using KDE 4.6.4) 
OS:                Linux

As reported e.g. in bug 250689:
Once again the "export playlist" functionality always exports absolute paths and ignores the settings of the file dialogue.

Using the current git-snapshot from openSUSE playground (2.4.1.60git.1308381860-12.1)

Reproducible: Didn't try
Comment 1 wuselwu 2011-06-18 18:20:24 UTC
I have to correct myself:
Amarok seems to react to the "relative paths" switch, however, with a very strange way of interpretating "relative".

My music drawer is
/home/users/Musik

The playlists are located toplevel in this folder.

Amarok makes strange playlist entries like
../users/Musik/./Compilations/albumtitle/songtitle.mp3
which it itself cannot load anymore.
Comment 2 wuselwu 2011-06-18 18:41:23 UTC
Downgrading to the stable 2.4.1 version the "relative paths" feature gives entries like
../users/Musik/Compilations/albumtitle/songtitle.mp3

Also in this case not even Amarok itself can use the playlist, which makes the "export with relative paths" functionality completely unusable.
Comment 3 Bart Cerneels 2011-06-20 13:11:35 UTC
Git commit 5cb8705528abcc1b74c09576daf6816e5ba31f1b by Bart Cerneels.
Committed on 20/06/2011 at 12:43.
Pushed by shanachie into branch 'master'.

Make sure the relative checkbox is respected.

The relative check is initialized using the configured setting.

BUG:275988

M  +2    -4    src/MainWindow.cpp     
M  +4    -9    src/core-impl/playlists/types/file/PlaylistFileSupport.cpp     
M  +3    -2    src/core-impl/playlists/types/file/PlaylistFileSupport.h     
M  +15   -6    src/core-impl/playlists/types/file/m3u/M3UPlaylist.cpp     
M  +2    -2    src/playlist/PlaylistModel.cpp     
M  +1    -1    src/playlist/PlaylistModel.h     
M  +2    -1    src/playlist/proxymodels/AbstractModel.h     
M  +2    -2    src/playlist/proxymodels/ProxyBase.cpp     
M  +1    -1    src/playlist/proxymodels/ProxyBase.h     

http://commits.kde.org/amarok/5cb8705528abcc1b74c09576daf6816e5ba31f1b